Skip to content

Get budget

Request

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
budget_idstringrequired

The ID of the budget.

GET
/v1/businesses/{client_id}/budgets/{budget_id}
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/budgets/{budget_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstringrequired

The ID of the budget.

Example:"e33b7c61-5124-4ba0-b238-e4c573133715"
namestringrequired

The name of the budget.

Example:"Sales Team"
budget_typestringrequired

The type of budget.

Enum:"BUDGET""SUBSCRIPTION"
Example:"BUDGET"
available_amountnumberrequired

The available amount of the budget.

Example:800
spent_amountnumberrequired

The amount of the budget that has been spent.

Example:200
reset_amountnumberrequired

The reset amount of the budget.

Example:1000
reset_periodstring(BudgetResetPeriod)required

The reset cadence for the budget. JULY_FINANCIAL_YEAR resets on 1 July; APRIL_FINANCIAL_YEAR resets on 1 April.

Enum:"DAILY""WEEKLY""FORTNIGHTLY""MONTHLY""QUARTERLY""ANNUALLY""JULY_FINANCIAL_YEAR""APRIL_FINANCIAL_YEAR""NEVER"
Example:"MONTHLY"
current_period_startstring or null, (date-time)required

The start date of the current period in UTC.

Example:"2024-01-01T00:00:00Z"
current_period_endstring or null, (date-time)required

The end date of the current period in UTC.

Example:"2024-01-31T23:59:59Z"
has_member_limitsbooleanrequired

Whether the budget has member limits.

Example:false
rollover_fundsbooleanrequired

When true, unspent balance rolls over to the next period instead of resetting.

Example:false
limit_categoriesbooleanrequired

When true, only categories listed in categories are visible on the budget. When false, all enabled business categories are visible.

Example:false
categoriesArray of objectsrequired

Categories currently visible on the budget. Returns an empty array when limit_categories is false (no restriction in force).

custom_fieldsArray of objectsrequired

Custom fields attached to this budget.

is_deletedbooleanrequired

Whether the budget is deleted.

Example:false
createdstring, (date-time)required

The date and time when the budget was created in UTC.

Example:"2024-01-01T00:00:00Z"
updatedstring, (date-time)required

The date and time when the budget was last updated in UTC.

Example:"2024-01-01T00:00:00Z"
Response
{ "id": "e33b7c61-5124-4ba0-b238-e4c573133715", "name": "Sales Team", "budget_type": "BUDGET", "available_amount": 800, "spent_amount": 200, "reset_amount": 1000, "reset_period": "MONTHLY", "current_period_start": "2024-01-01T00:00:00Z", "current_period_end": "2024-01-31T23:59:59Z", "has_member_limits": false, "rollover_funds": false, "limit_categories": false, "categories": [ {} ], "custom_fields": [ {} ], "is_deleted": false, "created": "2024-01-01T00:00:00Z", "updated": "2024-01-01T00:00:00Z" }